package com.bonus.canteen.core.order.common.dto;


import com.bonus.canteen.core.order.common.query.OrderQueryParam;

import java.time.LocalDate;
import java.util.List;

public class OrderDeliverySearchParam implements OrderQueryParam {
   private Long custId;
   private String macOrderId;
   private LocalDate startDate;
   private LocalDate endDate;
   private Integer ifOnline;
   private String mealCode;
   private String tradeNo;
   private Integer ifExistsPlaceId;
   private List<Integer> psnTypeList;
   private List<Integer> orderTypeList;
   private List<Integer> orderStateList;
   private List<Integer> mealtimeTypeList;
   private List<Integer> payStateList;
   private List<Integer> orderRefundStateList;
   private List<Integer> deliveryTypeList;
   private List<Integer> sourceTypeList;
   private List<Integer> dishesStateList;
   private List<Long> orderIdList;
   private List<Long> orgIdList;
   private List<Long> areaIdList;
   private List<Long> canteenIdList;
   private List<Long> stallIdList;
   private List<Long> roomIdList;
   private List<Long> operatorIdList;
   private List<Long> deliveryUserIdList;
   private List<Long> cashierIdList;
   private List<Long> deliveryRelatedIdList;
   private String custSearchInfo;

   public Long getCustId() {
      return this.custId;
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public LocalDate getStartDate() {
      return this.startDate;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public Integer getIfOnline() {
      return this.ifOnline;
   }

   public String getMealCode() {
      return this.mealCode;
   }

   public String getTradeNo() {
      return this.tradeNo;
   }

   public Integer getIfExistsPlaceId() {
      return this.ifExistsPlaceId;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public List<Integer> getOrderTypeList() {
      return this.orderTypeList;
   }

   public List<Integer> getOrderStateList() {
      return this.orderStateList;
   }

   public List<Integer> getMealtimeTypeList() {
      return this.mealtimeTypeList;
   }

   public List<Integer> getPayStateList() {
      return this.payStateList;
   }

   public List<Integer> getOrderRefundStateList() {
      return this.orderRefundStateList;
   }

   public List<Integer> getDeliveryTypeList() {
      return this.deliveryTypeList;
   }

   public List<Integer> getSourceTypeList() {
      return this.sourceTypeList;
   }

   public List<Integer> getDishesStateList() {
      return this.dishesStateList;
   }

   public List<Long> getOrderIdList() {
      return this.orderIdList;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getCanteenIdList() {
      return this.canteenIdList;
   }

   public List<Long> getStallIdList() {
      return this.stallIdList;
   }

   public List<Long> getRoomIdList() {
      return this.roomIdList;
   }

   public List<Long> getOperatorIdList() {
      return this.operatorIdList;
   }

   public List<Long> getDeliveryUserIdList() {
      return this.deliveryUserIdList;
   }

   public List<Long> getCashierIdList() {
      return this.cashierIdList;
   }

   public List<Long> getDeliveryRelatedIdList() {
      return this.deliveryRelatedIdList;
   }

   public String getCustSearchInfo() {
      return this.custSearchInfo;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }

   public void setStartDate(final LocalDate startDate) {
      this.startDate = startDate;
   }

   public void setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
   }

   public void setIfOnline(final Integer ifOnline) {
      this.ifOnline = ifOnline;
   }

   public void setMealCode(final String mealCode) {
      this.mealCode = mealCode;
   }

   public void setTradeNo(final String tradeNo) {
      this.tradeNo = tradeNo;
   }

   public void setIfExistsPlaceId(final Integer ifExistsPlaceId) {
      this.ifExistsPlaceId = ifExistsPlaceId;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setOrderTypeList(final List<Integer> orderTypeList) {
      this.orderTypeList = orderTypeList;
   }

   public void setOrderStateList(final List<Integer> orderStateList) {
      this.orderStateList = orderStateList;
   }

   public void setMealtimeTypeList(final List<Integer> mealtimeTypeList) {
      this.mealtimeTypeList = mealtimeTypeList;
   }

   public void setPayStateList(final List<Integer> payStateList) {
      this.payStateList = payStateList;
   }

   public void setOrderRefundStateList(final List<Integer> orderRefundStateList) {
      this.orderRefundStateList = orderRefundStateList;
   }

   public void setDeliveryTypeList(final List<Integer> deliveryTypeList) {
      this.deliveryTypeList = deliveryTypeList;
   }

   public void setSourceTypeList(final List<Integer> sourceTypeList) {
      this.sourceTypeList = sourceTypeList;
   }

   public void setDishesStateList(final List<Integer> dishesStateList) {
      this.dishesStateList = dishesStateList;
   }

   public void setOrderIdList(final List<Long> orderIdList) {
      this.orderIdList = orderIdList;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setCanteenIdList(final List<Long> canteenIdList) {
      this.canteenIdList = canteenIdList;
   }

   public void setStallIdList(final List<Long> stallIdList) {
      this.stallIdList = stallIdList;
   }

   public void setRoomIdList(final List<Long> roomIdList) {
      this.roomIdList = roomIdList;
   }

   public void setOperatorIdList(final List<Long> operatorIdList) {
      this.operatorIdList = operatorIdList;
   }

   public void setDeliveryUserIdList(final List<Long> deliveryUserIdList) {
      this.deliveryUserIdList = deliveryUserIdList;
   }

   public void setCashierIdList(final List<Long> cashierIdList) {
      this.cashierIdList = cashierIdList;
   }

   public void setDeliveryRelatedIdList(final List<Long> deliveryRelatedIdList) {
      this.deliveryRelatedIdList = deliveryRelatedIdList;
   }

   public void setCustSearchInfo(final String custSearchInfo) {
      this.custSearchInfo = custSearchInfo;
   }

}
